Show / Hide Table of Contents

# Interface IVoiceRegion

Represents a region of which the user connects to when using voice.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IVoiceRegion

### Properties

| Improve this Doc View Source

#### Id

Gets the unique identifier for this voice region.

##### Declaration

    string Id { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string that represents the identifier for this voice region (e.g. `eu-central`).

| Improve this Doc View Source

#### IsCustom

Gets a value that indicates whether this voice region is custom-made for events.

##### Declaration

    bool IsCustom { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this is a custom voice region (used for events/etc); otherwise `false`/

| Improve this Doc View Source

#### IsDeprecated

Gets a value that indicates whether this voice region is no longer being maintained.

##### Declaration

    bool IsDeprecated { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this is a deprecated voice region; otherwise `false`.

| Improve this Doc View Source

#### IsOptimal

Gets a value that indicates whether this voice region is optimal for your client in terms of latency.

##### Declaration

    bool IsOptimal { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this voice region is the closest to your machine; otherwise `false` .

| Improve this Doc View Source

#### IsVip

Gets a value that indicates whether or not this voice region is exclusive to partnered servers.

##### Declaration

    bool IsVip { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this voice region is exclusive to VIP accounts; otherwise `false`.

| Improve this Doc View Source

#### Name

Gets the name of this voice region.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string that represents the human-readable name of this voice region (e.g. `Central Europe`).